<?php

namespace ResourceBundle\Repository;

use Psr\Log\LoggerInterface;
use ResourceBundle\Entity\CalendarTimezone;
use Schema\SchemaEntityRepository;
use Doctrine\Common\Persistence\ManagerRegistry;
use Utils\StaticUtil\LogUtils;

/**
 * CalendarTimezoneRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class CalendarTimezoneRepository extends SchemaEntityRepository {

    /** @var LoggerInterface $logger */
    private $logger;

    ///////////////////////////////////////////
    /// CONSTRUCTOR

    /**
     * CalendarTimezoneRepository constructor.
     * @param ManagerRegistry $registry
     * @param LoggerInterface $logger
     */
    public function __construct(ManagerRegistry $registry, LoggerInterface $logger) {
        parent::__construct($registry, CalendarTimezone::class);

        $this->logger = $logger;
    }


    /**
     * @return array|mixed
     */
    public function findAllTimezone () {

        $qb = $this->getEntityManager()->createQueryBuilder();
        $qb->select('t')
            ->from('ResourceBundle:CalendarTimezone', 't')
            ->orderBy('t.id','ASC');
        ;

        $results = array();

        try {
            $results = $qb->getQuery()->getResult();
        } catch (\Exception $e) {
            $exception = LogUtils::getFormattedExceptions($e);
            $this->logger->error("Failed get all timezone", $exception);
        }

        return $results;
    }

}
